Browse Source

Updated from global requirements

Change-Id: I03c69e66ea02cdab419bae9075b19d10b5970212
tags/3.0.0
OpenStack Proposal Bot 2 years ago
parent
commit
4590ed614f
3 changed files with 47 additions and 42 deletions
  1. 32
    29
      requirements.txt
  2. 1
    2
      setup.py
  3. 14
    11
      test-requirements.txt

+ 32
- 29
requirements.txt View File

@@ -1,31 +1,34 @@
1
-Babel>=2.3.4  # BSD
2
-boto>=2.32.1  # MIT
1
+# The order of packages is significant, because pip processes them in the order
2
+# of appearance. Changing the order has an impact on the overall integration
3
+# process, which may cause wedges in the gate later.
4
+Babel>=2.3.4 # BSD
5
+boto>=2.32.1 # MIT
3 6
 botocore>=1.0.0 # Apache-2.0
4
-eventlet!=0.18.3,>=0.18.2  # MIT
5
-greenlet>=0.3.2  # MIT
6
-httplib2>=0.7.5  # MIT
7
-lxml>=2.3  # BSD
8
-oslo.config>=3.14.0  # Apache-2.0
9
-oslo.concurrency>=3.8.0         # Apache-2.0
10
-oslo.context>=2.4.0             # Apache-2.0
11
-oslo.db>=4.1.0  # Apache-2.0
12
-oslo.log>=1.14.0  # Apache-2.0
7
+eventlet!=0.18.3,>=0.18.2 # MIT
8
+greenlet>=0.3.2 # MIT
9
+httplib2>=0.7.5 # MIT
10
+lxml>=2.3 # BSD
11
+oslo.config>=3.14.0 # Apache-2.0
12
+oslo.concurrency>=3.8.0 # Apache-2.0
13
+oslo.context>=2.6.0 # Apache-2.0
14
+oslo.db>=4.10.0 # Apache-2.0
15
+oslo.log>=1.14.0 # Apache-2.0
13 16
 oslo.messaging>=5.2.0 # Apache-2.0
14
-oslo.serialization>=1.10.0              # Apache-2.0
15
-oslo.service>=1.10.0                     # Apache-2.0
16
-oslo.utils>=3.16.0                       # Apache-2.0
17
-Paste  # MIT
18
-PasteDeploy>=1.5.0  # MIT
19
-pbr>=1.6  # Apache-2.0
20
-python-cinderclient>=1.6.0,!=1.7.0,!=1.7.1  # Apache-2.0
21
-python-glanceclient>=2.0.0  # Apache-2.0
22
-python-keystoneclient>=1.7.0,!=1.8.0,!=2.1.0  # Apache-2.0
23
-python-neutronclient>=4.2.0  # Apache-2.0
24
-python-novaclient>=2.29.0,!=2.33.0  # Apache-2.0
25
-python-openstackclient>=2.1.0  # Apache-2.0
26
-Routes>=1.12.3,!=2.0,!=2.1,!=2.3.0;python_version=='2.7'  # MIT
27
-Routes>=1.12.3,!=2.0,!=2.3.0;python_version!='2.7'  # MIT
28
-six>=1.9.0  # MIT
29
-SQLAlchemy>=1.0.10,<1.1.0  # MIT
30
-sqlalchemy-migrate>=0.9.6  # Apache-2.0
31
-WebOb>=1.2.3  # MIT
17
+oslo.serialization>=1.10.0 # Apache-2.0
18
+oslo.service>=1.10.0 # Apache-2.0
19
+oslo.utils>=3.16.0 # Apache-2.0
20
+Paste # MIT
21
+PasteDeploy>=1.5.0 # MIT
22
+pbr>=1.6 # Apache-2.0
23
+python-cinderclient!=1.7.0,!=1.7.1,>=1.6.0 # Apache-2.0
24
+python-glanceclient>=2.0.0 # Apache-2.0
25
+python-keystoneclient!=2.1.0,>=2.0.0 # Apache-2.0
26
+python-neutronclient>=4.2.0 # Apache-2.0
27
+python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
28
+python-openstackclient>=2.1.0 # Apache-2.0
29
+Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
30
+Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
31
+six>=1.9.0 # MIT
32
+SQLAlchemy<1.1.0,>=1.0.10 # MIT
33
+sqlalchemy-migrate>=0.9.6 # Apache-2.0
34
+WebOb>=1.2.3 # MIT

+ 1
- 2
setup.py View File

@@ -1,4 +1,3 @@
1
-#!/usr/bin/env python
2 1
 # Copyright (c) 2013 Hewlett-Packard Development Company, L.P.
3 2
 #
4 3
 # Licensed under the Apache License, Version 2.0 (the "License");
@@ -26,5 +25,5 @@ except ImportError:
26 25
     pass
27 26
 
28 27
 setuptools.setup(
29
-    setup_requires=['pbr'],
28
+    setup_requires=['pbr>=1.8'],
30 29
     pbr=True)

+ 14
- 11
test-requirements.txt View File

@@ -1,11 +1,14 @@
1
-coverage>=3.6  # Apache-2.0
2
-fixtures>=3.0.0  # Apache-2.0/BSD
3
-hacking>=0.11.0,<0.12  # Apache-2.0
4
-mock>=2.0  # BSD
5
-nose  # LGPL
6
-oslotest>=1.10.0  # Apache-2.0
7
-pylint==1.4.5  # GPLv2
8
-python-subunit>=0.0.18  # Apache-2.0/BSD
9
-sphinx>=1.2.1,!=1.3b1,<1.3  # BSD
10
-testrepository>=0.0.18  # Apache-2.0/BSD
11
-testtools>=1.4.0  # MIT
1
+# The order of packages is significant, because pip processes them in the order
2
+# of appearance. Changing the order has an impact on the overall integration
3
+# process, which may cause wedges in the gate later.
4
+coverage>=3.6 # Apache-2.0
5
+fixtures>=3.0.0 # Apache-2.0/BSD
6
+hacking<0.12,>=0.11.0 # Apache-2.0
7
+mock>=2.0 # BSD
8
+nose # LGPL
9
+oslotest>=1.10.0 # Apache-2.0
10
+pylint==1.4.5 # GPLv2
11
+python-subunit>=0.0.18 # Apache-2.0/BSD
12
+sphinx!=1.3b1,<1.3,>=1.2.1 # BSD
13
+testrepository>=0.0.18 # Apache-2.0/BSD
14
+testtools>=1.4.0 # MIT

Loading…
Cancel
Save